#
# spec file for package avifile (Version 0.53.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound freetype2 gpp kdelibs-artsd libgpp libjpeg liblcms libmng libmng-devel libpng libz mesa mesa-devel mesasoft qt qt-devel xf86 xpm
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         avifile
%define prefix   /usr
Summary:      AVI file support library
Version:      0.53.5
Release:      155
Copyright: GPL
Group:     Development/Libraries
Source:    avifile-%{version}-noasf-nolame.tar.bz2
Source2:   README.SuSE
Patch:     avifile-0.53.5.dif
#Patch1:    avifile-%{version}.bitrate.patch
Patch2:    avifile-%{version}.shareware.patch
#Patch3:    avifile-%{version}-16bit.patch
Patch4:    avifile-%{version}-codecconf.patch
URL:       http://divx.euro.ru/
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Avifile is a library that allows programs to read and write compressed AVI
files under x86 Linux. (De)compression is performed with Win32 DLLs.
Please have a look at /usr/share/doc/packages/avifile/README.SuSE

Authors:
--------
    Eugene Smith <divx@euro.ru>

SuSE series: snd

%package qt
Summary:      Qt-based AVI utilities
Group:     Applications/Multimedia

%description qt
Three small Qt-based utilities for work with AVI files: AVI player,
video capture utility and AVI recompressor.
This package requires package avifile to be installed.
Please have a look at /usr/share/doc/packages/avifile/README.SuSE.

Authors:
--------
    Eugene Smith <divx@euro.ru>

SuSE series: snd

%prep
%setup -n avifile-0.53.5
%patch
#%patch1 -p1
%patch2 -p1
#%patch3
%patch4
cp  %{_sourcedir}/README.SuSE .

%build
CFLAGS="$RPM_OPT_FLAGS -fpermissive" LDFLAGS="-s" ./configure --prefix=%prefix \
   --enable-release --enable-quiet --with-qt-dir=/usr/lib/qt2/ 
make
#make -C xmps-avi-plugin 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/{xmps/Codecs,win32}
make prefix=$RPM_BUILD_ROOT%{prefix} install
#install xmps-avi-plugin/libavi.so $RPM_BUILD_ROOT/usr/lib/xmps/Codecs
mv $RPM_BUILD_ROOT/usr/bin/benchmark $RPM_BUILD_ROOT/usr/bin/avi-benchmark

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING doc/*
%doc README.SuSE
%{prefix}/lib/lib*.so*
%{prefix}/include/avifile/*
%{prefix}/bin/avifile-config
/usr/lib/win32

%files qt
%{prefix}/bin/aviplay
%{prefix}/bin/avi-benchmark
%{prefix}/bin/qtvidcap
%{prefix}/bin/kv4lsetup
%{prefix}/bin/qtrecompress
%{prefix}/share/avifile/*

%changelog -n avifile
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Tue Jul 10 2001 - uli@suse.de
- removed links to Windows binaries due to unclear legal status
* Mon Jul 09 2001 - nadvornik@suse.cz
- added freetype2 to neededforbuild
* Tue Jul 03 2001 - uli@suse.de
- removed audio encoder
* Mon Jun 25 2001 - uli@suse.de
- changed link to codecs in README.SuSE as reqd. by schmitt@suse.de
* Tue May 15 2001 - uli@suse.de
- added sdl-devel, alsa to neededforbuild -> uses SDL again ->
  scaling works
- removed tons of bogus packages from neededforbuild
* Thu May 03 2001 - nadvornik@suse.cz
- fixed bugs in qtvidcap and qtrecompress
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
- update -> 0.53.5
* Tue Feb 06 2001 - uli@suse.de
- fixed setting the bitrate for fast-motion codec
* Tue Jan 02 2001 - uli@suse.de
- update -> 0.53.1 (fixes random aborts and segfaults)
* Mon Dec 18 2000 - uli@suse.de
- removed xmps from neededforbuild
* Fri Dec 15 2000 - uli@suse.de
- removed check for 16 bit output capability of codec that is done
  even when not needed
* Wed Dec 13 2000 - uli@suse.de
- update -> 0.51
* Thu Nov 30 2000 - ro@suse.de
- added liblcms to neededforbuild
* Mon Nov 20 2000 - uli@suse.de
- removed ASF parser to avoid infringing US patent 6,041,345
- added a few bugfixes from http://www.emulinks.de/divx/
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 15 2000 - nadvornik@suse.cz
- new package
